New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

exported application doesn't work with latest jre #4682

Closed
konstruktin opened this Issue Sep 28, 2016 · 3 comments

Comments

Projects
None yet
4 participants
@konstruktin

konstruktin commented Sep 28, 2016

The exported .exe says "This application requires a Java Runtime Environment 1.8.0_74", when 1.8.0_101 is installed. It probably didn't expect the versions to go into 3 digits.

@GoldenQubicle

This comment has been minimized.

Show comment
Hide comment
@GoldenQubicle

GoldenQubicle Oct 16, 2016

It probably didn't expect the versions to go into 3 digits.

Doesn't seem to be the case. I'm running into the same issue, however, application export with the previous version of Processing ( 3.1.2 ) works fine.

GoldenQubicle commented Oct 16, 2016

It probably didn't expect the versions to go into 3 digits.

Doesn't seem to be the case. I'm running into the same issue, however, application export with the previous version of Processing ( 3.1.2 ) works fine.

@benfry benfry added the windows label Oct 18, 2016

@TobiasWehrum

This comment has been minimized.

Show comment
Hide comment
@TobiasWehrum

TobiasWehrum Oct 22, 2016

Doesn't seem to be the case. I'm running into the same issue, however, application export with the previous version of Processing ( 3.1.2 ) works fine.

This is exactly what I'm also observing. I just downloaded fresh 64bit versions of 3.1.2 and 3.2.1 and exported a windows build with both. The export of 3.1.2 is starting without any problems, the export of 3.2.1 displays the problem the opening posts describes.

TobiasWehrum commented Oct 22, 2016

Doesn't seem to be the case. I'm running into the same issue, however, application export with the previous version of Processing ( 3.1.2 ) works fine.

This is exactly what I'm also observing. I just downloaded fresh 64bit versions of 3.1.2 and 3.2.1 and exported a windows build with both. The export of 3.1.2 is starting without any problems, the export of 3.2.1 displays the problem the opening posts describes.

@benfry

This comment has been minimized.

Show comment
Hide comment
@benfry

benfry Oct 29, 2016

Member

Fixed for 3.2.2 or 3.3 (whatever we use for the next release) by updating to a newer version of launch4j.

Member

benfry commented Oct 29, 2016

Fixed for 3.2.2 or 3.3 (whatever we use for the next release) by updating to a newer version of launch4j.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment